Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Lynn Winebarger <[email-masked]>
Date: Mon, 4 Aug 2025 10:16:17 -0400

My response below is really for Paul, so I've added him back to the cc list.

On Mon, Aug 4, 2025, 10:12 AM Lynn Winebarger <[email-masked]> wrote:

> On Mon, Aug 4, 2025, 10:00 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Rudolf Schlatte <[email-masked]>
>> > Date: Mon, 04 Aug 2025 07:13:42 +0200
>> >
>> > Paul Eggert <[email-masked]> writes:
>> >
>> > > It's a matter of priorities. If we want Emacs to be easy to test
>> > > reproducibly, there's a real need for improvement here. If we think
>> > > this sort of testing is unimportant, then indeed we should stop this
>> > > discussion.
>> >
>> > You probably are already aware, but (if my understanding is correct) the
>> > code that is tested with a non-existent or non-writable home directory
>> > is byte-code interpreted, whereas with a writable home directory the
>> > code that is run is natively compiled.  So the tests will test something
>> > subtly different than what end users will run.
>>
>> Yes, this is another downside of suppressing native compilation in a
>> build that's supposed to use it in production.
>>
>
> For reproducible testing of anything other than the support of on-demand
> native compilation, the tester should build two versions of emacs.  The
> first --with-native-compilation=no, the second with
> --with-native-compilation=aot.  Then the use of byte- or native code will
> be deterministic even if HOME doesn't exist.
>
> Lynn
>
>